# Generated from image_optim_pack-0.12.1.20250704.gem by gem2rpm -*- rpm-spec -*-
%global gem_name image_optim_pack

Name: rubygem-%{gem_name}
Version: 0.12.1.20250704
Release: 1%{?dist}
Summary: Precompiled binaries for image_optim: advpng, gifsicle, jhead, jpeg-recompress, jpegoptim, jpegtran, optipng, oxipng, pngcrush, pngout, pngquant
License: MIT
URL: https://github.com/toy/image_optim_pack
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.22
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(rubocop) < 1.22.2
# BuildRequires: rubygem(rubocop) > 1.22.2
# BuildRequires: rubygem(rubocop-rspec) >= 2.0
# BuildRequires: rubygem(rubocop-rspec) < 3
BuildArch: noarch

%description
Precompiled binaries for image_optim: advpng, gifsicle, jhead,
jpeg-recompress, jpegoptim, jpegtran, optipng, oxipng, pngcrush, pngout,
pngquant.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/Dockerfile
%{gem_instdir}/Dockerfile.debian
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Makefile
%{gem_instdir}/acknowledgements
%{gem_instdir}/checksums.mk
%{gem_libdir}
%{gem_instdir}/patches
%{gem_instdir}/script
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%doc %{gem_instdir}/CHANGELOG.markdown
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/image_optim_pack-darwin-arm64.gemspec
%{gem_instdir}/image_optim_pack-darwin-x86_64.gemspec
%{gem_instdir}/image_optim_pack-linux-x86_64.gemspec
%{gem_instdir}/image_optim_pack.gemspec
%{gem_instdir}/spec

%changelog
* Fri Jul 04 2025 mockbuilder - 0.12.1.20250704-1
- Initial package
